Bug 208698 - misc/lifelines: "person" entries show extraneous "Y" in DATE fields
Summary: misc/lifelines: "person" entries show extraneous "Y" in DATE fields
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-11 11:13 UTC by david
Modified: 2019-03-27 00:15 UTC (History)
3 users (show)

See Also:
matt: maintainer-feedback+


Attachments
Addition of new file (local patch of upstream commit) (1.12 KB, patch)
2018-10-21 18:51 UTC, matt
matt: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description david 2016-04-11 11:13:00 UTC
Running:
FreeBSD albert.catwhisker.org 10.3-STABLE FreeBSD 10.3-STABLE #660  r297780M/297781:1003500: Sun Apr 10 04:14:43 PDT 2016     root@freebeast.catwhisker.org:/common/S1/obj/usr/src/sys/ALBERT  amd64

albert(10.3-S)[2] pkg info misc/lifelines
lifelines-3.1.1
Name           : lifelines
Version        : 3.1.1
Installed on   : Sun Mar 27 06:04:58 2016 PDT
Origin         : misc/lifelines
Architecture   : freebsd:10:x86:64
...

I noted that DATE fields (e.g., under BIRT or DEAT) that had no value specified were displaying as if "Y" were specified.

So I tried a simple test case:

cd /tmp
llines ./T
[Yes, create a new database]
["a" to add information]
[Make it a "person" entry.]
New entry looked like:
0 @I1@ INDI
1 NAME New /Person/
1 SEX F
1 BIRT
  2 DATE
  2 PLAC
1 DEAT
  2 DATE
  2 PLAC
1 SOUR Made up


saved that entry.  Resulting display was:
┌──────────────────────────────────────────────────────────────────────────────┐
│person: New PERSON (1)                                                        │
│born: Y                                                                       │
│died: Y                                                                       │
│  father:                                                                     │
│  mother:                                                                     │


While I normally use:
albert(10.3-S)[3] env | grep -i utf
LANG=en_US.UTF-8
LC_ALL=en_US.UTF-8


I also re-created the above after having unset those environment variables.
Comment 1 matt 2016-04-12 00:21:23 UTC
Confirmed as problem in upstream distro, not platform specific.
Problem has been fixed upstream.
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-13 06:24:28 UTC
Is it fixed? So please, close this PR.
Comment 3 david 2018-01-13 17:24:50 UTC
I re-tried the provided test case on a system running:

FreeBSD g1-252.catwhisker.org 11.1-STABLE FreeBSD 11.1-STABLE #508  r327916M/327916:1101506: Sat Jan 13 04:28:18 PST 2018     root@g1-252.catwhisker.org:/common/S1/obj/usr/src/sys/CANARY  amd64

The ports are updated as of r458926 in the "head" branch of ports; the current version of misc/lifelines remains 3.1.1:

g1-252(11.1-S)[5] pkg info misc/lifelines | head
lifelines-3.1.1
Name           : lifelines
Version        : 3.1.1
Installed on   : Sun Oct 16 16:30:44 2016 PDT
Origin         : misc/lifelines
Architecture   : FreeBSD:11:amd64
Prefix         : /usr/local
Categories     : misc
Licenses       : MIT
Maintainer     : matt@gsicomp.on.ca
g1-252(11.1-S)[6] 

and the reported issue is still observed:  After performing the steps in the test case, the resulting display is:

┌──────────────────────────────────────────────────────────────────────────────┐
│person: New PERSON (1)                                                        │
│born: Y                                                                       │
│died: Y                                                                       │
│  father:                                                                     │
│  mother:                                                                     │
│                                                                              │
│                                                                              │
│                                                                              │
│                                                                              │
│                                                                              │
├──────────────────────────────────────────────────────────────────────────────┤
│ Please choose an operation:             (pg 1/3)                             │
│  e  Edit the person      u  Browse to parents    %s  Add source              │
│  f  Browse to father     b  Browse to persons    %e  Add event               │
│  m  Browse to mother     h  Add as spouse        %o  Add other               │
│  s  Browse to spouse/s   i  Add as child         x  Swap two families        │
│  c  Browse to children   r  Remove as spouse     tt Enter tandem mode        │
│  o  Browse to older sib  d  Remove as child      zz Browse to any            │
│  y  Browse to younger *  n  Create new person    ?  Other menu choices       │
│  g  Browse to family     a  Create new family    q  Return to main menu      │
├──────────────────────────────────────────────────────────────────────────────┤
│ New PERSON was added to the database.                                        │
└──────────────────────────────────────────────────────────────────────────────┘

yet the "Edit individual" display shows:

0 @I1@ INDI
1 NAME New /Person/
1 SEX F
1 BIRT
  2 DATE
  2 PLAC
1 DEAT
  2 DATE
  2 PLAC
1 SOUR Test case


So: Not resolved, as far as I can tell.
Comment 4 matt 2018-10-21 18:51:30 UTC
Created attachment 198441 [details]
Addition of new file (local patch of upstream commit)

New file: files/patch-upstream-e99eb7778f55f4f15f6b63c6df2b7680fbdc53c3
Comment 5 matt 2018-10-21 18:53:51 UTC
Comment on attachment 198441 [details]
Addition of new file (local patch of upstream commit)

Upstream patch provided by maintainer.
Comment 6 commit-hook freebsd_committer 2019-03-27 00:13:19 UTC
A commit references this bug:

Author: bofh
Date: Wed Mar 27 00:12:55 UTC 2019
New revision: 496931
URL: https://svnweb.freebsd.org/changeset/ports/496931

Log:
  misc/lifelines: Fix "person" entries show extraneous "Y" in DATE fields

  - Fix patch files
  - Modernize with OPTIONS

  PR:		208698
  Submitted by:	matt@gsicomp.on.ca
  Reported by:	david@catwhisker.org
  Approved by:	matt@gsicomp.on.ca

Changes:
  head/misc/lifelines/Makefile
  head/misc/lifelines/files/patch-intl_Makefile.in
  head/misc/lifelines/files/patch-intl__Makefile.in
  head/misc/lifelines/files/patch-src_liflines_show.c
Comment 7 Muhammad Moinur Rahman freebsd_committer 2019-03-27 00:15:02 UTC
Committed with changes